#menu-bar {
    padding: 8px;
    background-color: var(--overlay-color);
    min-width: 250px;
    width: 250px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-shadow: 0 0 0 2px var(--overlay-color-darker);
    transition: all 150ms;
    overflow: hidden;
}

#menu-bar.tiny {
    min-width: 43px;
    width: 43px;
}

#menu-bar.mobile {
    position: fixed;
    background-color: var(--overlay-color);
    backdrop-filter: blur(15px);
}

#menu-bar.mobile~main {
    margin-left: 43px;
}

#menu-bar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#menu-bar ul>li {
    margin: 5px 0;
}

#menu-bar ul>li>a,
#menu-toggle {
    display: flex;
    align-items: center;
    text-decoration: none;
    font-weight: bold;
    width: 100%;
    font-size: 16px;
    color: black;
    padding: 7px;
}

#menu-toggle,
#menu-bar ul>li {
    border-radius: var(--squircle);
    overflow-x: hidden;
}

#menu-toggle {
    margin-bottom: 5px;
}

#menu-toggle>img {
    padding: 5px 10px 5px 5px;
}

#menu-bar li img {
    margin-right: 10px;
}

#menu-bar>span {
    transition: all 75ms;
    overflow: hidden;
    white-space: nowrap;
    text-align: center;
}

#menu-bar.tiny>span {
    opacity: 0;
}